#ifndef CALICE_DAQ_ICC
#define CALICE_DAQ_ICC
#endif

#include "RcdWriterDmy.hh"
#include "RcdReaderAsc.hh"
#include "RcdWriterAsc.hh"
#include "RcdIoBase.hh"
#include "RcdWriter.hh"
#include "RcdWriterBin.hh"
#include "RcdReaderBin.hh"
#include "RcdReader.hh"
#include "RcdArena.hh"
#include "RcdHeader.hh"
#include "RcdArray.hh"
#include "RcdRecord.hh"

#include "DhcLocation.hh"
#include "DhcLocationData.hh"
#include "DhcBeConfigurationData.hh"
#include "DhcDcConfigurationData.hh"
#include "DhcDcRunData.hh"
#include "DhcEventDataV0.hh"
#include "DhcEventDataV1.hh"
#include "DhcFeConfigurationDataV0.hh"
#include "DhcFeConfigurationDataV1.hh"
#include "DhcFeHitDataV0.hh"
#include "DhcFeHitDataV1.hh"
#include "DhcReadoutConfigurationDataOld.hh"
#include "DhcReadoutConfigurationData.hh"
#include "DhcTriggerConfigurationData.hh"
#include "DhcTriggerData.hh"

#include "AhcFeConfigurationDataV0.hh"
#include "AhcFeConfigurationDataV1.hh"
#include "AhcMapping.hh"
#include "AhcModuleSlowReadoutData.hh"
#include "AhcSlowConfigurationDataV0.hh"
#include "AhcSlowConfigurationDataV1.hh"
#include "AhcSlowReadoutDataV0.hh"
#include "AhcSlowReadoutDataV1.hh"
#include "AhcSlowRunDataV0.hh"
#include "AhcSlowRunDataV1.hh"
#include "AhcVfeConfigurationDataCoarse.hh"
#include "AhcVfeConfigurationDataFine.hh"
#include "AhcVfeControl.hh"
#include "AhcVfeDataV0.hh"
#include "AhcVfeShiftRegister.hh"
#include "AhcVfeStartUpDataCoarse.hh"
#include "AhcVfeStartUpDataFine.hh"

#include "BmlCaen1290ConfigurationData.hh"
#include "BmlCaen1290EventData.hh"
#include "BmlCaen1290EventDatum.hh"
#include "BmlCaen1290OpcodeData.hh"
#include "BmlCaen1290ReadoutConfigurationData.hh"
#include "BmlCaen1290RunData.hh"
#include "BmlCaen1290StatusRegister.hh"
#include "BmlCaen1290TdcErrorData.hh"
#include "BmlCaen1290TestData.hh"
#include "BmlCaen1290TriggerData.hh"
#include "BmlCaen767ConfigurationData.hh"
#include "BmlCaen767EventData.hh"
#include "BmlCaen767EventDatum.hh"
#include "BmlCaen767OpcodeData.hh"
#include "BmlCaen767ReadoutConfigurationData.hh"
#include "BmlCaen767RunData.hh"
#include "BmlCaen767StatusRegister.hh"
#include "BmlCaen767TdcErrorData.hh"
#include "BmlCaen767TestData.hh"
#include "BmlCaen767TriggerData.hh"
#include "BmlCernSlowRunData.hh"
#include "BmlFnalAcquisitionData.hh"
#include "BmlFnalSlowReadoutDataV0.hh"
#include "BmlFnalSlowReadoutDataV1.hh"
#include "BmlFnalSlowRunData.hh"
#include "BmlHodEventData.hh"
#include "BmlHodRunData.hh"
#include "BmlLalHodoscopeConfigurationData.hh"
#include "BmlLalHodoscopeEventData.hh"
#include "BmlLalHodoscopeRunData.hh"
#include "BmlLalHodoscopeTriggerData.hh"
#include "BmlLc1176ConfigurationData.hh"
#include "BmlLc1176Csr.hh"
#include "BmlLc1176EventData.hh"
#include "BmlLc1176EventDatum.hh"
#include "BmlLc1176RunData.hh"
#include "BmlLocation.hh"
#include "BmlLocationData.hh"

#include "FixAhc.hh"
#include "FixAll.hh"
#include "FixCrc.hh"
#include "FixEmc.hh"
#include "FixDaq.hh"

#include "DaqAcquisitionStart.hh"
#include "DaqRunEndV0.hh"
#include "DaqRunStart.hh"
#include "DaqSoftware.hh"
#include "DaqSpillEnd.hh"
#include "DaqAcquisitionStartV0.hh"
#include "DaqAcquisitionEnd.hh"
#include "DaqRunEndV1.hh"
#include "DaqSequenceStart.hh"
#include "DaqBurstStart.hh"
#include "DaqBurstEnd.hh"
#include "DaqSpillStart.hh"
#include "DaqSequenceType.hh"
#include "DaqEvent.hh"
#include "DaqTransferEnd.hh"
#include "DaqConfigurationEnd.hh"
#include "DaqSequenceEnd.hh"
#include "DaqConfigurationStartV0.hh"
#include "DaqRunType.hh"
#include "DaqMultiTimer.hh"
#include "DaqConfigurationEndV1.hh"
#include "DaqConfigurationStart.hh"
#include "DaqConfigurationStartV1.hh"
#include "DaqConfigurationEndV0.hh"
#include "DaqTrigger.hh"
#include "DaqRunEnd.hh"
#include "DaqConfigurationStartV2.hh"
#include "DaqAcquisitionEndV0.hh"
#include "DaqAcquisitionStartV1.hh"
#include "DaqMessage.hh"
#include "DaqSlowReadout.hh"
#include "DaqAcquisitionEndV1.hh"
#include "DaqTransferStart.hh"
#include "DaqTwoTimer.hh"

#include "CrcVlinkTrgData.hh"
#include "CrcBeConfigurationData.hh"
#include "CrcBeTrgConfigurationDataV0.hh"
#include "CrcLm82SlowReadoutData.hh"
#include "CrcBeEventData.hh"
#include "CrcVlinkTrailer.hh"
#include "CrcLm82ConfigurationData.hh"
#include "CrcVlinkAdcSample.hh"
#include "CrcLm82RunData.hh"
#include "CrcReadoutConfigurationData.hh"
#include "CrcAdm1025SlowReadoutData.hh"
#include "CrcFeFakeEventData.hh"
#include "CrcBeTrgPollDataV0.hh"
#include "CrcAdm1025RunData.hh"
#include "CrcBeTrgRunData.hh"
#include "CrcBeEventDataV0.hh"
#include "CrcBeRunData.hh"
#include "CrcBeEventDataV1.hh"
#include "CrcReadoutConfigurationDataV1.hh"
#include "CrcFeAdcEventData.hh"
#include "CrcVlinkFeData.hh"
#include "CrcReadoutConfigurationDataV0.hh"
#include "CrcEpromMessage.hh"
#include "CrcBeConfigurationDataV1.hh"
#include "CrcFeRunData.hh"
#include "CrcBeTrgConfigurationData.hh"
#include "CrcVmeEventData.hh"
#include "CrcBeTrgPollDataV1.hh"
#include "CrcVlinkFeHeader.hh"
#include "CrcVlinkHeader.hh"
#include "CrcFeConfigurationData.hh"
#include "CrcVlinkEventData.hh"
#include "CrcVmeRunData.hh"
#include "CrcAdm1025ConfigurationData.hh"
#include "CrcBeTrgHistoryHit.hh"
#include "TrgSpillPollData.hh"
#include "CrcBeConfigurationDataV0.hh"
#include "CrcAdm1025Voltages.hh"
#include "CrcBeTrgConfigurationDataV1.hh"
#include "CrcLocationData.hh"
#include "TrgReadoutConfigurationData.hh"

#include "CrcBeTrgEventData2004.hh"
#include "CrcBeTrgEventData.hh"
#include "CrcBeTrgPollData.hh"
#include "CrcFeEventData.hh"
#include "CrcLocation.hh"
#include "CrcVmeConfigurationData.hh"

#include "SceSlowReadoutData.hh"
#include "SceSlowTemperatureData.hh"

#include "SimDetectorBoxId.hh"
#include "SimDetectorBox.hh"
#include "SimParticle.hh"
#include "SimStep.hh"
#include "SimDetectorLayer.hh"
#include "SimLayerHits.hh"
#include "SimPrimaryData.hh"
#include "SimChargeSpreadData.hh"
#include "SimPixelHit.hh"
#include "SimDetectorEnergy.hh"
#include "SimBoxTrack.hh"
#include "SimDetectorEnergies.hh"
#include "SimChargeSpread.hh"
#include "SimDetectorData.hh"
#include "SimLayerTrack.hh"

#include "EmcVfeControl.hh"
#include "EmcStageRunData.hh"
#include "EmcFeConfigurationData.hh"

#include "DheVfeConfigurationData4.hh"
#include "DheTriggerData.hh"
#include "DheVfeSlowData.hh"
#include "DheEventData.hh"
#include "DheDifAcquisitionData.hh"
#include "DheDifConfigurationData.hh"
#include "DheDifEventData.hh"
#include "DheDifRunData.hh"

#include "SubInserter.hh"
#include "SubModifier.hh"
#include "SubAccessor.hh"
#include "SubHeader.hh"
#include "SubRecordType.hh"

#include "IlcConfigurationStart.hh"
#include "IlcBunchTrain.hh"
#include "IlcSlowReadout.hh"
#include "IlcRunStart.hh"
#include "IlcRunEnd.hh"
#include "IlcConfigurationEnd.hh"
#include "IlcRunType.hh"

#include "TtmConfigurationDataV0.hh"
#include "TtmConfigurationDataV1.hh"
#include "TtmLocation.hh"
#include "TtmLocationData.hh"
#include "TtmTriggerData.hh"

#include "UtlLocation.hh"
#include "UtlMapDefinitions.hh"
#include "UtlPackHalf.hh"
#include "UtlPack.hh"
#include "UtlPrintHex.hh"
#include "UtlTime.hh"
#include "UtlTypes.hh"

#include "RunReader.hh"

#include "MpsSensorV12ConfigurationData.hh"
#include "MpsSensor1Hit.hh"
#include "MpsUsbDaqBunchTrainData.hh"
#include "MpsSensorV10ConfigurationData.hh"
#include "MpsLocation.hh"
#include "MpsUsbDaqRunData.hh"
#include "MpsReadoutConfigurationData.hh"
#include "MpsSensorV11ConfigurationData.hh"
#include "MpsUsbDaqConfigurationData.hh"
#include "MpsLaserConfigurationData.hh"
#include "MpsLocationData.hh"
#include "MpsPcb1SlowReadoutData.hh"
#include "MpsUsbDaqBunchTrainDatum.hh"
#include "MpsLaserRunData.hh"
#include "MpsDigitisationData.hh"
#include "MpsSensor1BunchTrainDatum.hh"
#include "MpsSensor1BunchTrainData.hh"
#include "MpsSensor1ConfigurationData.hh"
#include "MpsPcb1ConfigurationData.hh"
